# pandas.DatetimeIndex.weekday

property DatetimeIndex.weekday

  The day of the week with Monday=0, Sunday=6.

  Return the day of the week. It is assumed the week starts on Monday, which is denoted by 0 and ends on Sunday which is denoted by 6. This method is available on both Series with datetime values (using the dt accessor) or DatetimeIndex.

  Returns
    Series or Index

      Containing integers indicating the day number.

  See also

  `Series.dt.dayofweek`

    Alias.

  `Series.dt.weekday`

    Alias.

  `Series.dt.day_name`

    Returns the name of the day of the week.

  Examples

      >>> s = pd.date_range('2016-12-31', '2017-01-08', freq='D').to_series()
      >>> s.dt.dayofweek
      2016-12-31    5
      2017-01-01    6
      2017-01-02    0
      2017-01-03    1
      2017-01-04    2
      2017-01-05    3
      2017-01-06    4
      2017-01-07    5
      2017-01-08    6
      Freq: D, dtype: int64